Generate Auth Token
API ExplorerUse this endpoint to generate a new JWT-based access token using your API Key, Secret Key, and Scope. Refer to the iPOSpays Authentication Token API to learn how to generate the API Key and Secret Key
Header Parameters
apiKey*string
The apiKey can be generated from the iPOSpays portal using an ISO, Agent Office, and Merchant Admin account. These keys are required for authentication.
secretKey*string
The apiKey can be generated from the iPOSpays portal using an ISO, Agent Office, and Merchant Admin account. These keys are required for authentication.
TokenExpiryMinutes?integer
Custom token expiry time in minutes. Minimum value is 5 minutes, maximum value is 24 hours (1440 minutes).
Range
5 <= value <= 1440Response Body
application/json
application/json
application/json
curl -X POST "https://example.com" \ -H "apiKey: your_api_key_here" \ -H "secretKey: your_secret_key_here" \ -H "TokenExpiryMinutes: 1000"{
"responseCode": "00",
"responseMessage": "Success",
"createdDt": "1749532846158",
"token": "eyJhbGciOiJSUzI1NiJ9.eyJzY29wZSI6InBheW1lbnRUb2tlbml6ZSIsInVuaXF1ZUlkIjoiNzQxYzFiM2YtMTUyYS0xMWYwLWI3YTMtMTZhOTc1NjBiMjc1IiwiaWF0IjoxNzQ4ODA3NzAyLCJleHAiOjE3NDQ4OTQxMDJ9..."
}{
"errorCode": "AUTH_ERR_001",
"errorMessage": "API Key is required."
}{
"errorCode": "AUTH_ERR_004",
"errorMessage": "Invalid Credentials, Please Contact Support Team."
}